from conf.util import get_config_object
from confluent_kafka import Consumer
import json, re

conf = get_config_object()


# Kafka
def get_KafkaConsumer() -> Consumer:
    """返回KafkaConsumer对象"""
    kafka_conf = {
        "bootstrap.servers": conf.get("kafka", "bootstrap_servers"),
        "group.id": conf.get("kafka", "group_id"),
        "auto.offset.reset": "earliest",
    }
    consumer = Consumer(kafka_conf)
    return consumer


def raw_Data_to_jsonstr(data: str) -> str:
    """
    将原始数据切分转换为json字符串
    """
    # 清理转义字符
    data = re.sub(r'\\', '', data)
    
    # 去除多余的空格和换行符
    data = data.strip()
    data_list = data.split("\t")
    
    return {
            "order_id": data_list[0],
            "order_category": data_list[1],
            "order_name": data_list[2],
            "order_quantity": data_list[3],
            "date": data_list[4],
            "is_valid": data_list[5],
        }
